Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.frodo
Class FrodoKEMGenerator

    java.lang.Object
      org.bouncycastle.pqc.crypto.frodo.FrodoKEMGenerator

All Implemented Interfaces:
  EncapsulatedSecretGenerator

Deprecated. the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

public class FrodoKEMGenerator
extends java.lang.Object
implements EncapsulatedSecretGenerator

Constructor Summary
`FrodoKEMGenerator(java.security.SecureRandom random)` Deprecated.

Method Summary
`SecretWithEncapsulation` | `generateEncapsulated(AsymmetricKeyParameter recipientKey)` Deprecated. Generate secret/encapsulation based on the recipient public key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrodoKEMGenerator

    public FrodoKEMGenerator(java.security.SecureRandom random)

  Deprecated.

Method Detail

### generateEncapsulated

    public SecretWithEncapsulation generateEncapsulated(AsymmetricKeyParameter recipientKey)

  Deprecated.
  Description copied from interface: `EncapsulatedSecretGenerator`
  Generate secret/encapsulation based on the recipient public key.

  Specified by:
    `generateEncapsulated` in interface `EncapsulatedSecretGenerator`
  Returns:
    An SecretWithEncapsulation derived from the recipient public key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD